## lxqt-themes 0.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

project(lxqt-themes)

set(LXQTBT_MINIMUM_VERSION "0.1.0")

find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

include(GNUInstallDirs)
include(LXQtTranslateDesktop)
include(LXQtConfigVars)

install(DIRECTORY "graphics/" DESTINATION "${LXQT_GRAPHICS_DIR}")
add_subdirectory(themes)
add_subdirectory(icons)

=== icons/CMakeLists.txt ===
install(DIRECTORY
    hicolor
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/icons"
    COMPONENT Runtime
    PATTERN "*"
)

=== debian/changelog ===
lxqt-themes (0.12.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2, no changes needed
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 23:28:35 +0100

lxqt-themes (0.12.0-2) unstable; urgency=medium

  * Switch to unstable

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 01:27:23 +0100

lxqt-themes (0.12.0-1) experimental; urgency=medium

  * Initial release (Closes: #867606) 

 -- Alf Gaida <agaida@siduction.org>  Tue, 10 Oct 2017 18:16:26 +0200

=== debian/control ===
Source: lxqt-themes
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               lxqt-build-tools
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lxqt-themes.git
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lxqt-themes.git
Homepage: https://github.com/lxde/lxqt-themes

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         lxqt-system-theme
Provides: lxqt-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance 
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         x11-utils
Recommends: oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system 
 components
 .
 This Package contains LXQt system theme files.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lxqt-themes/releases .*/lxqt-themes-([\d\.]+).tar.xz

## lxqt-themes 0.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,15 @@
 
 project(lxqt-themes)
 
-set(LXQTBT_MINIMUM_VERSION "0.1.0")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
+
+# lxqt-themes has no binaries - but we can set an informal version
+# Version 0.13.0
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 include(GNUInstallDirs)
+include(LXQtPreventInSourceBuilds)
 include(LXQtTranslateDesktop)
 include(LXQtConfigVars)

=== debian/changelog ===
lxqt-themes (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:42:58 -0700

lxqt-themes (0.13.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.13.0.
  * Bumped build dependency lxqt-build-tools to >= 0.5.0
  * Added papirus-icon-theme to theme alternatives, papirus is now
    the default alternative
  * Bump year in copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 24 May 2018 18:10:41 +0200

lxqt-themes (0.12.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed cmake minimum version, not needed any longer
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped year in copyright
  * Removed trailing whitespaces from changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 16:55:46 +0200

=== debian/control ===
Source: lxqt-themes
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               lxqt-build-tools (>= 0.5.0~)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         lxqt-system-theme
Provides: lxqt-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         x11-utils
Recommends: papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.

## lxqt-themes 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,16 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
-
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-themes)
 
-set(LXQTBT_MINIMUM_VERSION "0.5.0")
+# Minimum Versions
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
-# Version 0.13.0
+# Version 0.14.0
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-themes (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 14:57:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: lxqt-themes
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
-               lxqt-build-tools (>= 0.5.0~)
-Standards-Version: 4.1.4
+               lxqt-build-tools (>= 0.6.0~)
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
 Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
 Homepage: https://github.com/lxqt/lxqt-themes

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-themes/releases .*/lxqt-themes-([\d\.]+).tar.xz

## lxqt-themes 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,10 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
-# Version 0.14.0
+# Version 0.15.0
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)

=== debian/changelog ===
lxqt-themes (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper-compat.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:26:22 -0500

lxqt-themes (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 23:24:58 -0600

lxqt-themes (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update build dependencies.
  * Update copyright.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 May 2018 00:01:07 -0500

=== debian/control ===
Source: lxqt-themes
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake, debhelper-compat (= 12), lxqt-build-tools (>= 0.7.0)
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-themes/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-themes.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: lxqt-system-theme, ${misc:Depends}
Provides: lxqt-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: x11-utils, ${misc:Depends}
Recommends: oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.

## lxqt-themes 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0

=== debian/changelog ===
lxqt-themes (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release.
  * debian/lxqt-themes.install: ship new themes.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 15:46:13 +0800

=== debian/control ===
Source: lxqt-themes
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               cmake,
               lxqt-build-tools (>= 0.8.0~)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         lxqt-system-theme
Provides: lxqt-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         x11-utils
Recommends: papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

## lxqt-themes 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0

=== debian/changelog ===
lxqt-themes (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use lxqt-build-tools 0.9.0
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Mon, 16 Aug 2021 15:05:16 +0200

lxqt-themes (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bumped standards to 4.5.0.

 -- Raman Sarda <theloudspeaker@disroot.org>  Thu, 18 Feb 2021 23:02:33 +0530

=== debian/control ===
Source: lxqt-themes
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: x11
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 0.9.0)
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-themes/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-themes.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: lxqt-system-theme, ${misc:Depends}
Provides: lxqt-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: x11-utils, ${misc:Depends}
Recommends: oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.

## lxqt-themes 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0
@@ -22,3 +22,5 @@
 install(DIRECTORY "graphics/" DESTINATION "${LXQT_GRAPHICS_DIR}")
 add_subdirectory(themes)
 add_subdirectory(icons)
+add_subdirectory(wallpapers)
+add_subdirectory(palettes)

=== debian/changelog ===
lxqt-themes (1.1.0-1) experimental; urgency=medium

  [ Aaron Rainbolt ]
  * New upstream release 1.1.0.
  * Removed obsolete debian/compat file.
  * Switched to GBP.
  * Created debian/upstream/metadata.
  * Upstreamed non-Ubuntu-specific packaging changes from Ubuntu, modifying
    the following files:
    - control
    - copyright
    - *.install
    - rules
    - upstream/signing-key.asc

  [ Simon Quigley ]
  * Fix some various merge errors.

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Sat, 09 Jul 2022 23:16:23 -0500

=== debian/control ===
Source: lxqt-themes
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 0.11.0)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes
Rules-Requires-Root: no

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: lxqt-system-theme, ${misc:Depends}
Provides: lxqt-theme
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: x11-utils, ${misc:Depends}
Recommends: papirus-icon-theme | oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.

## lxqt-themes 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LXQTBT_MINIMUM_VERSION "0.12.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0

=== debian/changelog ===
lxqt-themes (1.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ ChangZhuo Chen (陳昌倬) ]

  * New upstream release.
  * Merge to unstable.
  * Sort d/control.
  * Sort and fix d/copyright.
  * Update d/watch for GitHub.
  * Remove unnecessary --fail-missing.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 04 Dec 2022 01:03:44 +0800

=== debian/control ===
Source: lxqt-themes
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               lxqt-build-tools (>= 0.12.0~)
Standards-Version: 4.6.1
Section: x11
Priority: optional
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes
Rules-Requires-Root: no

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         lxqt-system-theme
Provides: lxqt-theme
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
  * Silver
  * Arch-colors
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         x11-utils
Recommends: papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh ${@} --buildsystem cmake

## lxqt-themes 1.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.13.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0

=== debian/changelog ===
lxqt-themes (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 03 Aug 2023 10:43:15 -0500

lxqt-themes (1.2.0-0ubuntu2) lunar; urgency=medium

  * Overhauled copyright file.
  * Bumped Standards-Version to 4.6.2, no changes necessary.
  * Ran wrap-and-sort.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 09 Feb 2023 16:06:39 -0600

lxqt-themes (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump lxqt-build-tools build dep.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Nov 2022 21:48:47 -0600

=== debian/control ===
Source: lxqt-themes
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 0.13.0)
Standards-Version: 4.6.2
Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging
Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes
Rules-Requires-Root: no

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: lxqt-system-theme, ${misc:Depends}
Provides: lxqt-theme
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: x11-utils, ${misc:Depends}
Recommends: papirus-icon-theme | oxygen-icon-theme | breeze-icon-theme | faenza-icon-theme
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.

=== debian/rules ===
--- 
+++ 
@@ -3,3 +3,6 @@
 
 %:
 	dh ${@} --buildsystem cmake
+
+override_dh_missing:
+	dh_missing --fail-missing

## lxqt-themes 2.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
 # CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
 # CMakeLists.txt file even before calling the project() command.
 # The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
@@ -7,12 +7,12 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "0.13.0")
+set(LXQTBT_MINIMUM_VERSION "2.0.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0
 
-find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt2-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 
 include(GNUInstallDirs)
 include(LXQtPreventInSourceBuilds)

=== debian/changelog ===
lxqt-themes (2.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Bump Standards-Version to 4.7.0, no changes necessary.
  * Bump build dependencies.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 15 Aug 2024 16:30:48 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
            Aaron Rainbolt <arraybolt3@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 0.13.0)
-Standards-Version: 4.6.2
+Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 2.0.0)
+Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes

## lxqt-themes 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "2.0.0")
+set(LXQTBT_MINIMUM_VERSION "2.1.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0

=== wallpapers/CMakeLists.txt ===
install(DIRECTORY
    .
    DESTINATION "${LXQT_SHARE_DIR}/wallpapers"
    COMPONENT Runtime
    PATTERN "CMake*"
    EXCLUDE PATTERN "cmake*"
    EXCLUDE PATTERN "Makefile" EXCLUDE
)

=== debian/changelog ===
lxqt-themes (2.1.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for lxqt-build-tools C++17 -> C++20.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Jan 2025 03:59:51 -0600

lxqt-themes (2.1.0-0ubuntu1) plucky; urgency=medium

  * New upstream release.
    - Bump build dependencies.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 15 Nov 2024 15:33:21 -0600

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: lxqt-themes
 Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Aaron Rainbolt <arraybolt3@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 2.0.0)
+Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 2.1.0)
 Standards-Version: 4.7.0
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
-XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
+Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
+Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
 Homepage: https://github.com/lxqt/lxqt-themes
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts="searchmode=plain, \
pgpsigurlmangle=s/$/.asc/, \
uversionmangle=s/(\d+\.\d+\.\d+).*/$1/" \
  https://api.github.com/repos/lxqt/@PACKAGE@/releases https:\/\/github.com\/lxqt\/@PACKAGE@\/releases\/download\/@ANY_VERSION@\/@PACKAGE@-@ANY_VERSION@.tar.xz

## lxqt-themes 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 project(lxqt-themes)
 
 # Minimum Versions
-set(LXQTBT_MINIMUM_VERSION "2.1.0")
+set(LXQTBT_MINIMUM_VERSION "2.2.0")
 
 # lxqt-themes has no binaries - but we can set an informal version
 # Version 0.15.0

=== palettes/CMakeLists.txt ===
install(DIRECTORY
    .
    DESTINATION "${LXQT_SHARE_DIR}/palettes"
    COMPONENT Runtime
    PATTERN "CMake*"
    EXCLUDE PATTERN "cmake*"
    EXCLUDE PATTERN "Makefile" EXCLUDE
)

=== debian/changelog ===
lxqt-themes (2.2.0-0ubuntu1) questing; urgency=medium

  * New upstream release.
    - Update build dependencies.
  * Update copyright file.
  * Bump Standards-Version to 4.7.2, no changes necessary.

 -- Aaron Rainbolt <arraybolt3@ubuntu.com>  Thu, 31 Jul 2025 15:49:57 -0500

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
            Aaron Rainbolt <arraybolt3@gmail.com>
 Section: x11
 Priority: optional
-Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 2.1.0)
-Standards-Version: 4.7.0
+Build-Depends: cmake, debhelper-compat (= 13), lxqt-build-tools (>= 2.2.0)
+Standards-Version: 4.7.2
 Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging
 Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-themes-packaging.git
 Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,8 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+override_dh_install:
+	dh_install
+	rm -rf debian/lxqt-themes/usr/share/lxqt/themes/system/
+	rm debian/lxqt-themes/usr/share/lxqt/wallpapers/License

## lxqt-themes 2.3.0

=== debian/changelog ===
lxqt-themes (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * debian/control: build-deps on lxqt-build-tools (>= 2.3.0~).
  * debian/copyright: update.
  * debian/copyright: update missing copyright.

 -- Macy Lin <macy@debconf.org>  Sat, 22 Nov 2025 13:59:52 +0100

lxqt-themes (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0
  * d/control: Bump Standards-Version to 4.7.2.
  * d/control: Update Build-Depends.
  * d/install: Add new themes.
  * d/copyright: Update copyright year.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 17 Aug 2025 19:39:27 +0800

lxqt-themes (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * d/install: Update install files.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Dec 2024 22:00:39 +0800

lxqt-themes (2.0.0-1) unstable; urgency=medium

  * Run wrap-and-sort.
  * debian/copyright: added myself.
  * Team upload to unstable.

 -- Macy Lin <macy@debconf.org>  Mon, 02 Dec 2024 22:47:34 +0100

lxqt-themes (2.0.0-1~exp1) experimental; urgency=medium

  [ Severus Septimius ]
  *  New upstream release 2.0.0
  * debian/control: bump Standards-Version to 4.7.0, no changes needed.
  * debian/control: bump dep on lxqt-build-tools (>= 2.0.0+really2.0.0~)

  [ Andrew Lee (李健秋) ]
  * debian/salsa-ci.yml: build against to experimental.
  * Clean up of group membership after 2nd calls.
  * debian/copyright: update.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 28 Sep 2024 19:49:15 +0200

lxqt-themes (1.3.0-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * debian/control: update team address.
  * debian/control: bump to Standards-version to 4.6.2, no changes needed.
  * debian/control: build-deps on lxqt-build-tools (>= 0.13.0~).
  * debian/copyright: update.
  * debian/upstream/metadata: drop obsolete field Name.
  * debian/upstream/metadata: update url for git repo.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 02 Jul 2023 09:25:15 +0200

=== debian/control ===
Source: lxqt-themes
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Macy Lin <macy@debconf.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               lxqt-build-tools (>= 2.3.0~)
Standards-Version: 4.7.2
Section: x11
Priority: optional
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-themes
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-themes.git
Homepage: https://github.com/lxqt/lxqt-themes
Rules-Requires-Root: no

Package: lxqt-themes
Architecture: all
Multi-Arch: foreign
Depends: lxqt-system-theme, ${misc:Depends}
Provides: lxqt-theme
Description: Themes for LXQt
 Some upstream themes for LXQt
  * Ambiance
  * Dark
  * Frost
  * KDE-Plasma
  * Light
  * System
  * Silver
  * Arch-colors
 .
 This Package contains LXQt theme files.

Package: lxqt-system-theme
Architecture: all
Multi-Arch: foreign
Depends: x11-utils, ${misc:Depends}
Recommends: papirus-icon-theme | breeze-icon-theme | faenza-icon-theme | oxygen-icon-theme
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: System theme for LXQt
 The System theme for LXQt provide basic styling for LXQt system
 components
 .
 This Package contains LXQt system theme files.
